function create_getPFIM_m(data)
%
% Create a 'get_PFIM.m' file which return the value of the
% specified "reaction" in PFIM with current population "X" and reaction constant "con"
%
% ---- INPUT PARAMETERS ----
%   data: data structure array
%
% ---- OUTPUT PARAMETERS ----
%  get_PFIM(reaction, data).m function 
% 
% (c) Math & Stat, Umass, Amherst, 2014

fid = fopen('get_PFIM.m','w'); 
l1='function F = get_PFIM(reaction, data)';
l2='%';
l3='% Return the value of the specified "reaction" in PFIM';
l4='%';
l5='% ---- INPUT PARAMETERS ----';
l6='% reaction: reaction number'; 
l7='% data: data structure array';
l8='%';
l9='% ---- OUTPUT PARAMETERS ----';
l10='% F: the value of the specified "reaction" in PFIM';
l11='%';
l12='% (c) Math & Stat, Umass, Amherst, 2014';
l13='X=data.X';
l14='con=data.con';
l15='switch reaction';
fprintf(fid,'%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n\n%s;\n%s;\n\n%s\n',l1,l2,l3,l4,l5,l6,l7,l8,l9,l10,l11,l12,l13,l14,l15); 
for i=1:length(data.cv_glpf)
    g=char(data.cv_glpf{i});
    fprintf(fid,'case %d\n \t F = %s;\n',i,g);     
end
lend='end';
fprintf(fid,'%s',lend); 
fclose(fid);

