function F = get_PFIM(reaction, data)
%
% Return the value of the specified "reaction" in PFIM
%
% ---- INPUT PARAMETERS ----
% reaction: reaction number
% data: data structure array
%
% ---- OUTPUT PARAMETERS ----
% F: the value of the specified "reaction" in PFIM
%
% (c) Math & Stat, Umass, Amherst, 2014

X=data.X;
con=data.con;

switch reaction
case 1
 	 F = con(1);
case 2
 	 F = (X(2)^2*con(2)^2)/(X(2)*con(2) + (X(2)*X(4)*con(3))/(X(2) + con(4)));
case 3
 	 F = (X(2)^2*X(4)*con(2)*con(3))/((X(2) + con(4))*(X(2)*con(2) + (X(2)*X(4)*con(3))/(X(2) + con(4))));
case 4
 	 F = -(X(2)^2*X(4)*con(2)*con(3)*con(4))/((X(2) + con(4))^2*(X(2)*con(2) + (X(2)*X(4)*con(3))/(X(2) + con(4))));
case 5
 	 F = (X(2)^2*X(4)*con(2)*con(3))/((X(2) + con(4))*(X(2)*con(2) + (X(2)*X(4)*con(3))/(X(2) + con(4))));
case 6
 	 F = (X(2)^2*X(4)^2*con(3)^2)/((X(2) + con(4))^2*(X(2)*con(2) + (X(2)*X(4)*con(3))/(X(2) + con(4))));
case 7
 	 F = -(X(2)^2*X(4)^2*con(3)^2*con(4))/((X(2) + con(4))^3*(X(2)*con(2) + (X(2)*X(4)*con(3))/(X(2) + con(4))));
case 8
 	 F = -(X(2)^2*X(4)*con(2)*con(3)*con(4))/((X(2) + con(4))^2*(X(2)*con(2) + (X(2)*X(4)*con(3))/(X(2) + con(4))));
case 9
 	 F = -(X(2)^2*X(4)^2*con(3)^2*con(4))/((X(2) + con(4))^3*(X(2)*con(2) + (X(2)*X(4)*con(3))/(X(2) + con(4))));
case 10
 	 F = (X(2)^2*X(4)^2*con(3)^2*con(4)^2)/((X(2) + con(4))^4*(X(2)*con(2) + (X(2)*X(4)*con(3))/(X(2) + con(4))));
case 11
 	 F = X(2)*con(5);
case 12
 	 F = X(3)*con(6);
case 13
 	 F = X(4)*con(7);
end