function rate = get_rate(reaction, data)
%
% Return the rate of the specified "reaction" with current population "X" and reaction constant "con"
%
% ---- INPUT PARAMETERS ----
% reaction: reaction number
% data: data structure array
%
% ---- OUTPUT PARAMETERS ----
% rate: reaction rate
%
% (c) Math & Stat, Umass, Amherst, 2014

X = double(data.X);
con = data.con;

switch reaction
case 1
 	 rate = con(1);
case 2
 	 rate = con(2)*X(2)+con(3)*X(2)*X(4)/(con(4)+X(2));
case 3
 	 rate = con(5)*X(2);
case 4
 	 rate = con(6)*X(3);
case 5
 	 rate = con(7)*X(4);
end