function plot_PFIM(PFIM, data)
%
% Plot PFIM in 3D.
%
%  ---- INPUT PARAMETERS ----
%   PFIM: Fisher Information Matrix, [KxK]
%   data: data structure array
%
%   data.theta: name of system parameters, [Kx1]
%
% (c) Math & Stat, Umass, Amherst, 2014

mFIM = mean(PFIM, 3); % average PFIM

% plot
bar3(mFIM);
% title('Path-wise FIM', 'FontSize', 16);
title('Path-wise FIM');
% xlabels = data.theta; 
% ylabels = data.theta;
% % set(gca, 'XtickLabel', xlabels, 'YtickLabel', ylabels, 'FontSize', 12);
% set(gca, 'XtickLabel', xlabels, 'YtickLabel', ylabels);

