function plot_species(data, fname, NoSP, NoSp)
%
% Plot the species populations.
%
%  ---- INPUT PARAMETERS ----
%   data: data structure array
%
%   data.N: number of species, [1x1]
%   data.sname: name of chemical species, [Nx1]
%   fname: reaction data, [1x1]
%   NoSP: vector of specification of subplots, [row, col, index], [3x1]
%   NoSp: number of species per figure, [1x1]
%
% (c) Math & Stat, Umass, Amherst, 2014

load(fname); % load data
k = 1:NoSp;
NoF = ceil((data.N-1)/NoSp); % number of figures

% plot species population
for i = 1:NoF
    
    if i~=NoF % special care to the final figure
        idx = (i-1)*NoSp + k + 1;
    else
        idx = (i-1)*NoSp+2 : data.N;
    end
    
    figure(i);
    subplot(NoSP(1), NoSP(2), NoSP(3));
    plot(ti, X(:,idx));
    xlabel('Time', 'FontSize', 10); 
    ylabel('Species Population', 'FontSize', 10);
    legend(data.sname(idx,:), 'FontSize', 10);
end
